# Display Name

A short project description

## Requirements

* Flutter <https://flutter.dev/>
* Taskfile <https://taskfile.dev/>
* Trapeze <https://trapeze.dev/> (with `npm install` thanks to `package.json`)

### Configuration

Create `.env` file with

```sh
cp .env.example .env
```

### Taskfile

Available tasks:

| Command | Description | Aliases |
|----|-----|-----|
| `clean` | Cleans the environment.| `cl` |
| `format` |Formats the code.| `fmt` |
| `help` |Help dialog.| `h, default` |
| `lint` |Lints the code.| `l` |
| `start-emulators` | Start needed emulators.| `emu` |
| `build:android` | Building Android APK| `build:a` |
| `build:ios` | Building iOS IPA| `build:i` |
| `gen:build` | Running build runner| `gen:b` |
| `gen:build-delete` |Running build runner with deletion of conflicting outputs| `gen:d` |
| `gen:clean` | Cleaning build runner| `gen:c` |
| `gen:intl` |Generating internationalization file| `gen:i` |
| `gen:trapeze` | Running Trapeze config| `gen:t` |
| `gen:watch` | Running build runner in watch mode| `gen:w` |
| `pub:get` | Getting latest dependencies| `pub:g` |
| `pub:outdated` |Checking for outdated dependencies| `pub:o` |
| `pub:upgrade` | Upgrading dependencies| `pub:u` |
| `pub:upgrade-major` | Upgrading dependencies| `pub:um` |
| `pub:validate` |Running dependency validator| `pub:v` |
| `run:dev` | Run app in development environment| `run:d` |
| `run:emu` | Run app in development with emulated environment| `run:e` |
| `run:logs` |Show log output for running Flutter apps| `run:l` |
| `run:mock` |Run app in development environment with mocks| `run:m` |
| `run:prod` |Run app in production environment| `run:p` |
| `run:release` | Run app in production environment and in release mode| `run:r` |
| `run:staging` | Run app in staging environment| `run:s` |

### Flavors

| Flavor | Details |
|-------|--------|
| Development | Use `--dart-define="dev_mode=<MODE>"` to choose between `mock` , `emulator` and `real` |
| Staging | With a green banner. Only `real` mode available (remote data sources) |
| Production | Only `real` mode available (remote data sources) |

> In `lib/core/flavors/flavor.dart` you can customize flavors.
